libdevel-ebug-perl_0.56-1_all.deb


Advertisement

Description

libdevel-ebug-perl - simple, extensible Perl debugger

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdevel-ebug-perl
Package version: 0.56
Package release: 1
Package architecture: all
Package type: deb
Installed size: 136 B
Download size: 36.71 KB
Official Mirror: ftp.br.debian.org
Devel::ebug is a simple and extensible Perl debugger with a clean API. Using this module, you may easily write a Perl debugger to debug your programs. Alternatively, it comes with an interactive debugger, ebug. Perl's current debugger is currently 2,600 lines of magic and special cases. The code is nearly unreadable: fixing bugs and adding new features is fraught with difficulties. The debugger has no test suite which has caused breakage with changes that couldn't be properly tested. It will also not debug regexes. Devel::ebug is aimed at fixing these problems and delivering a replacement debugger which provides a well-tested simple programmatic interface to debugging programs. This makes it easier to build debuggers on top of Devel::ebug, be they console-, curses-, GUI- or Ajax-based.

Alternatives

    Download

    Source package: libdevel-ebug-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdevel-ebug-perl deb package:
      # sudo apt-get install libdevel-ebug-perl

    Files

    • /usr/bin/ebug
    • /usr/bin/ebug_backend_perl
    • /usr/bin/ebug_client
    • /usr/bin/ebug_server
    • /usr/share/doc/libdevel-ebug-perl/changelog.Debian.gz
    • /usr/share/doc/libdevel-ebug-perl/changelog.gz
    • /usr/share/doc/libdevel-ebug-perl/copyright
    • /usr/share/man/man1/ebug.1p.gz
    • /usr/share/man/man1/ebug_client.1p.gz
    • /usr/share/man/man1/ebug_server.1p.gz
    • /usr/share/man/man3/Devel::ebug.3pm.gz
    • /usr/share/man/man3/Devel::ebug::Console.3pm.gz
    • /usr/share/perl5/Devel/ebug.pm
    • /usr/share/perl5/Devel/ebug/Backend.pm
    • /usr/share/perl5/Devel/ebug/Console.pm
    • /usr/share/perl5/Devel/ebug/Backend/Plugin/ActionPoints.pm
    • /usr/share/perl5/Devel/ebug/Backend/Plugin/Basic.pm
    • /usr/share/perl5/Devel/ebug/Backend/Plugin/Codelines.pm
    • /usr/share/perl5/Devel/ebug/Backend/Plugin/Commands.pm
    • /usr/share/perl5/Devel/ebug/Backend/Plugin/Eval.pm
    • /usr/share/perl5/Devel/ebug/Backend/Plugin/Filenames.pm
    • /usr/share/perl5/Devel/ebug/Backend/Plugin/Output.pm
    • /usr/share/perl5/Devel/ebug/Backend/Plugin/Pad.pm
    • /usr/share/perl5/Devel/ebug/Backend/Plugin/Ping.pm
    • /usr/share/perl5/Devel/ebug/Backend/Plugin/Run.pm
    • /usr/share/perl5/Devel/ebug/Backend/Plugin/StackTrace.pm
    • /usr/share/perl5/Devel/ebug/Plugin/ActionPoints.pm
    • /usr/share/perl5/Devel/ebug/Plugin/Basic.pm
    • /usr/share/perl5/Devel/ebug/Plugin/Codelines.pm
    • /usr/share/perl5/Devel/ebug/Plugin/Eval.pm
    • /usr/share/perl5/Devel/ebug/Plugin/Filenames.pm
    • /usr/share/perl5/Devel/ebug/Plugin/Output.pm
    • /usr/share/perl5/Devel/ebug/Plugin/Pad.pm
    • /usr/share/perl5/Devel/ebug/Plugin/Run.pm
    • /usr/share/perl5/Devel/ebug/Plugin/StackTrace.pm

    Changelog

    2014-04-21 - Florian Schlichting <fsfs@debian.org> libdevel-ebug-perl (0.56-1) unstable; urgency=medium [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Florian Schlichting ] * Import Upstream version 0.56 * Bump Standards-Version to 3.9.5 * Update copyright years * debian/copyright: do not restrict Debian to GNU/Linux systems * Drop dependency on M::B, upstream changed its packaging * Add (build-)dependency on libmodule-pluggable-perl, which will be removed from core

    2013-05-01 - Florian Schlichting <fsfs@debian.org> libdevel-ebug-perl (0.55-1) unstable; urgency=low [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Florian Schlichting ] * Imported Upstream version 0.55 * Bumped Module::Build dependency to 0.40 | perl (>= 5.17.1) * Email change: Florian Schlichting -> fsfs@debian.org * Updated and merged upstream copyright paragraphs * Bumped Standards-Version to 3.9.4 (no change) * Removed duplicate build-dependency on perl

    2012-03-10 - Florian Schlichting <fschlich@zedat.fu-berlin.de> libdevel-ebug-perl (0.53-1) unstable; urgency=low [ Ansgar Burchardt ] * Email change: Ansgar Burchardt -> ansgar@debian.org * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * Email change: Salvatore Bonaccorso -> carnil@debian.org [ gregor herrmann ] * New upstream release. * Switch to debhelper compatibility level 8. Remove "--buildsystem=perl_build" from debian/rules, default now. * Build-depend on Module::Build 0.38. * Remove patches, both applied upstream. * debian/copyright: update Maintainer, add new copyright holder, update years of packaging copyright. [ Florian Schlichting ] * Imported Upstream version 0.53 (closes: #655710). * Changed dependency from libyaml-syck-perl to libyaml-perl. * Bumped Standards-Version to 3.9.3 (use copyright-format 1.0). * Added myself to uploaders and copyright.

    2010-08-17 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> libdevel-ebug-perl (0.49-3) unstable; urgency=low * Add myself to Uploaders. * Add fix_593012_ftbfs_yaml_syck_1_12.patch patch to fix FTBFS with libyaml-syck-perl 1.12 (Closes: #593012). * Refresh debian/copyright: Explicitly refer to GPL-1 license text in common-licenses as by Debian Policy 3.9.1. * debian/control: - Drop alternate Build-Depends on perl (>= 5.10) | libmodule-build-perl as stable has already the required versions and oldstable is gone. - Remove Build-Depends-Indep on perl and add perl to Build-Depends for Module::Build. * Bump Standards-Version to 3.9.1.

    2010-05-16 - Ansgar Burchardt <ansgar@43-1.org> libdevel-ebug-perl (0.49-2) unstable; urgency=low [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Ansgar Burchardt ] * Remove Peter Makholm <makholm@debian.org> from Uploaders. (Closes: #580315) * Fix test failure with perl 5.12.0 due to changes to wantarray. Thanks to Niko Tyni <ntyni@debian.org> for the patch. (Closes: #578942) + new patch: perl-5.12.patch * debian/control: Make build-dep on perl unversioned. * debian/copyright: Formatting changes for current DEP-5 proposal. * Add myself to Uploaders. * Bump Standards-Version to 3.8.4. * Use source format 3.0 (quilt). * Use tiny debian/rules. [ gregor herrmann ] * Add perl >= 5.10 as an alternative build dependency to libmodule-build-perl.

    Advertisement
    Advertisement